with GNATCOM.Errors;

package body MSHTML.IElementBehaviorSiteLayout2_Interface is

   procedure Initialize (This : in out IElementBehaviorSiteLayout2_Type) is
   begin
      Set_IID (This, IID_IElementBehaviorSiteLayout2);
   end Initialize;

   function Pointer (This : IElementBehaviorSiteLayout2_Type)
     return Pointer_To_IElementBehaviorSiteLayout2
   is
   begin
      return To_Pointer_To_IElementBehaviorSiteLayout2 (Address (This));
   end Pointer;

   procedure Attach (This    : in out IElementBehaviorSiteLayout2_Type;
                     Pointer : in     Pointer_To_IElementBehaviorSiteLayout2)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure GetFontInfo
     (This : IElementBehaviorSiteLayout2_Type;
      plf  : Pointer_To_tagLOGFONTW)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.GetFontInfo
         (Pointer (This),
          plf));

   end GetFontInfo;

end MSHTML.IElementBehaviorSiteLayout2_Interface;

